require 'spec_helper'

# I can't figure out how to test threaded stuff without it leaving a zombie process behind
describe MCLib do
  it 'should emit events from server log' do
    MCLib::set_mc_dir '/Users/Caleb/Documents/minecraft/'
    watcher = MCLib::Watcher.new

    watcher.on :all do |event|
      puts "This will always get called"
    end

    watcher.on :login do |user|
      puts "#{user.username} logged in from #{user.ip} at coordinates #{user.coordinates}"
    end

    watcher.on :chat do |username, text|
      puts "User #{username} said #{text}"
    end

    watcher.on :warning do |warning|
      puts "Warning: #{warning}"
    end

    watcher.start

    sleep 10

    watcher.stop
  end
end